Index: palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_mod.f90	(revision 4501)
+++ palm/trunk/SOURCE/surface_mod.f90	(revision 4502)
@@ -4309,82 +4522,94 @@
              IF ( ALLOCATED( surf_h(1)%css )  .AND.  kk == 1 )                 &
                 READ ( 13 )  surf_h(1)%css
-          CASE ( 'surf_h(1)%cssws' )         
+          CASE ( 'surf_h(1)%cssws' )
              IF ( ALLOCATED( surf_h(1)%cssws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(1)%cssws
-          CASE ( 'surf_h(1)%qcsws' )         
+          CASE ( 'surf_h(1)%qcsws' )
              IF ( ALLOCATED( surf_h(1)%qcsws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(1)%qcsws
-          CASE ( 'surf_h(1)%ncsws' )         
+          CASE ( 'surf_h(1)%ncsws' )
              IF ( ALLOCATED( surf_h(1)%ncsws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(1)%ncsws
-          CASE ( 'surf_h(1)%qrsws' )         
+          CASE ( 'surf_h(1)%qisws' )
+             IF ( ALLOCATED( surf_h(1)%qisws )  .AND.  kk == 1 )               &
+                READ ( 13 )  surf_h(1)%qisws
+          CASE ( 'surf_h(1)%nisws' )
+             IF ( ALLOCATED( surf_h(1)%nisws )  .AND.  kk == 1 )               &
+                READ ( 13 )  surf_h(1)%nisws
+          CASE ( 'surf_h(1)%qrsws' )
              IF ( ALLOCATED( surf_h(1)%qrsws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(1)%qrsws
-          CASE ( 'surf_h(1)%nrsws' )         
+          CASE ( 'surf_h(1)%nrsws' )
              IF ( ALLOCATED( surf_h(1)%nrsws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(1)%nrsws
-          CASE ( 'surf_h(1)%sasws' )         
+          CASE ( 'surf_h(1)%sasws' )
              IF ( ALLOCATED( surf_h(1)%sasws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(1)%sasws
 
-          CASE ( 'surf_h(2)%start_index' )   
+          CASE ( 'surf_h(2)%start_index' )
              IF ( kk == 1 )                                                    &
                 READ ( 13 )  surf_h(2)%start_index
              l = 2
-          CASE ( 'surf_h(2)%end_index' )   
+          CASE ( 'surf_h(2)%end_index' )
              IF ( kk == 1 )                                                    &
                 READ ( 13 )  surf_h(2)%end_index
-          CASE ( 'surf_h(2)%us' )         
+          CASE ( 'surf_h(2)%us' )
              IF ( ALLOCATED( surf_h(2)%us )  .AND.  kk == 1 )                  &
                 READ ( 13 )  surf_h(2)%us
-          CASE ( 'surf_h(2)%ts' )         
+          CASE ( 'surf_h(2)%ts' )
              IF ( ALLOCATED( surf_h(2)%ts )  .AND.  kk == 1 )                  &
                 READ ( 13 )  surf_h(2)%ts
-          CASE ( 'surf_h(2)%qs' )        
+          CASE ( 'surf_h(2)%qs' )
              IF ( ALLOCATED( surf_h(2)%qs )  .AND.  kk == 1 )                  &
                 READ ( 13 )  surf_h(2)%qs
-          CASE ( 'surf_h(2)%ss' )         
+          CASE ( 'surf_h(2)%ss' )
              IF ( ALLOCATED( surf_h(2)%ss )  .AND.  kk == 1 )                  &
                 READ ( 13 )  surf_h(2)%ss
-          CASE ( 'surf_h(2)%qcs' )         
+          CASE ( 'surf_h(2)%qcs' )
              IF ( ALLOCATED( surf_h(2)%qcs )  .AND.  kk == 1 )                 &
                 READ ( 13 )  surf_h(2)%qcs
-          CASE ( 'surf_h(2)%ncs' )         
+          CASE ( 'surf_h(2)%ncs' )
              IF ( ALLOCATED( surf_h(2)%ncs )  .AND.  kk == 1 )                 &
                 READ ( 13 )  surf_h(2)%ncs
-          CASE ( 'surf_h(2)%qrs' )         
+          CASE ( 'surf_h(2)%qis' )
+             IF ( ALLOCATED( surf_h(2)%qis )  .AND.  kk == 1 )                 &
+                READ ( 13 )  surf_h(2)%qis
+          CASE ( 'surf_h(2)%nis' )
+             IF ( ALLOCATED( surf_h(2)%nis )  .AND.  kk == 1 )                 &
+                READ ( 13 )  surf_h(2)%nis
+          CASE ( 'surf_h(2)%qrs' )
              IF ( ALLOCATED( surf_h(2)%qrs )  .AND.  kk == 1 )                 &
                 READ ( 13 )  surf_h(2)%qrs
-          CASE ( 'surf_h(2)%nrs' )         
+          CASE ( 'surf_h(2)%nrs' )
              IF ( ALLOCATED( surf_h(2)%nrs )  .AND.  kk == 1 )                 &
                 READ ( 13 )  surf_h(2)%nrs
-          CASE ( 'surf_h(2)%ol' )         
+          CASE ( 'surf_h(2)%ol' )
              IF ( ALLOCATED( surf_h(2)%ol )  .AND.  kk == 1 )                  &
                 READ ( 13 )  surf_h(2)%ol
-          CASE ( 'surf_h(2)%rib' )         
+          CASE ( 'surf_h(2)%rib' )
              IF ( ALLOCATED( surf_h(2)%rib )  .AND.  kk == 1 )                 &
                 READ ( 13 )  surf_h(2)%rib
-          CASE ( 'surf_h(2)%pt_surface' )         
+          CASE ( 'surf_h(2)%pt_surface' )
              IF ( ALLOCATED( surf_h(2)%pt_surface )  .AND.  kk == 1 )          &
                 READ ( 13 )  surf_h(2)%pt_surface
-          CASE ( 'surf_h(2)%q_surface' )         
+          CASE ( 'surf_h(2)%q_surface' )
              IF ( ALLOCATED( surf_h(2)%q_surface )  .AND.  kk == 1 )           &
                 READ ( 13 )  surf_h(2)%q_surface
-          CASE ( 'surf_h(2)%vpt_surface' )         
+          CASE ( 'surf_h(2)%vpt_surface' )
              IF ( ALLOCATED( surf_h(2)%vpt_surface )  .AND.  kk == 1 )         &
                 READ ( 13 )  surf_h(2)%vpt_surface
-          CASE ( 'surf_h(2)%usws' )         
+          CASE ( 'surf_h(2)%usws' )
              IF ( ALLOCATED( surf_h(2)%usws )  .AND.  kk == 1 )                &
                 READ ( 13 )  surf_h(2)%usws
-          CASE ( 'surf_h(2)%vsws' )         
+          CASE ( 'surf_h(2)%vsws' )
              IF ( ALLOCATED( surf_h(2)%vsws )  .AND.  kk == 1 )                &
                 READ ( 13 )  surf_h(2)%vsws
-          CASE ( 'surf_h(2)%shf' )         
+          CASE ( 'surf_h(2)%shf' )
              IF ( ALLOCATED( surf_h(2)%shf )  .AND.  kk == 1 )                 &
                 READ ( 13 )  surf_h(2)%shf
-          CASE ( 'surf_h(2)%qsws' )         
+          CASE ( 'surf_h(2)%qsws' )
              IF ( ALLOCATED( surf_h(2)%qsws )  .AND.  kk == 1 )                &
                 READ ( 13 )  surf_h(2)%qsws
-          CASE ( 'surf_h(2)%ssws' )         
+          CASE ( 'surf_h(2)%ssws' )
              IF ( ALLOCATED( surf_h(2)%ssws )  .AND.  kk == 1 )                &
                 READ ( 13 )  surf_h(2)%ssws
@@ -4392,24 +4617,30 @@
              IF ( ALLOCATED( surf_h(2)%css )  .AND.  kk == 1 )                 &
                 READ ( 13 )  surf_h(2)%css
-          CASE ( 'surf_h(2)%cssws' )         
+          CASE ( 'surf_h(2)%cssws' )
              IF ( ALLOCATED( surf_h(2)%cssws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(2)%cssws
-          CASE ( 'surf_h(2)%qcsws' )         
+          CASE ( 'surf_h(2)%qcsws' )
              IF ( ALLOCATED( surf_h(2)%qcsws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(2)%qcsws
-          CASE ( 'surf_h(2)%ncsws' )         
+          CASE ( 'surf_h(2)%ncsws' )
              IF ( ALLOCATED( surf_h(2)%ncsws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(2)%ncsws
-          CASE ( 'surf_h(2)%qrsws' )         
+          CASE ( 'surf_h(2)%qisws' )
+             IF ( ALLOCATED( surf_h(2)%qisws )  .AND.  kk == 1 )               &
+                READ ( 13 )  surf_h(2)%qisws
+          CASE ( 'surf_h(2)%nisws' )
+             IF ( ALLOCATED( surf_h(2)%nisws )  .AND.  kk == 1 )               &
+                READ ( 13 )  surf_h(2)%nisws
+          CASE ( 'surf_h(2)%qrsws' )
              IF ( ALLOCATED( surf_h(2)%qrsws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(2)%qrsws
-          CASE ( 'surf_h(2)%nrsws' )         
+          CASE ( 'surf_h(2)%nrsws' )
              IF ( ALLOCATED( surf_h(2)%nrsws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(2)%nrsws
-          CASE ( 'surf_h(2)%sasws' )         
+          CASE ( 'surf_h(2)%sasws' )
              IF ( ALLOCATED( surf_h(2)%sasws )  .AND.  kk == 1 )               &
                 READ ( 13 )  surf_h(2)%sasws
 
-          CASE ( 'surf_v(0)%start_index' )   
+          CASE ( 'surf_v(0)%start_index' )
              IF ( kk == 1 )                                                    &
                 READ ( 13 )  surf_v(0)%start_index
